<?php
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="showProduct">
<?php 
/**************************** Version 20230222 ***************************/
/* The following code sets defaults for testing only.
    If these defaults adversely affect your production code, comment out
		 this section by removing the slash behind this asterisk ->*/ 
if (!isset($wfo)&&!isset($product)) { 
	$wfo='lix';
	$divWidth = '656';         // They are used for testing only
	$product = "HWO";
  $leftMargin = 50; // Left margin to display text
  $mapPath = './images/';
}
/* End of testing code defaults and section to comment out */
if (isset($_POST['wfo'])) { # Are we using AJAX???
	$wfo = $_POST['wfo']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['divWidth'])) { # Are we using AJAX???
	$divWidth = $_POST['divWidth']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['product'])) { # Are we using AJAX???
	$product = $_POST['product']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['leftMargin'])) { # Are we using AJAX???
	$leftMargin = $_POST['leftMargin']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['mapPath'])) { # Are we using AJAX???
	$mapPath = $_POST['mapPath']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}

$locationArrays = array(
array("afc","AK, Anchorage"),
array("afg","AK, Fairbanks"),
array("ajk","AK, Juneau"),
array("bmx","AL, Birmingham"),
array("mob","AL, Mobile"),
array("hun","AL, Huntsville"),
array("fgz","AZ, Flagstaff"),
array("psr","AZ, Phoenix"),
array("twc","AZ, Tucson"),
array("lzk","AR, Little Rock"),
array("eka","CA, Eureka"),
array("hnx","CA, Hanford/San Joaquin Vly."),
array("lox","CA, Los Angeles/Oxnard"),
array("sto","CA, Sacramento"),
array("sgx","CA, San Diego"),
array("mtr","CA, San Francisco Bay/Monterey"),
array("bou","CO, Denver/Boulder"),
array("gjt","CO, Grand Junction"),
array("pub","CO, Pueblo"),
array("jax","FL, Jacksonville"),
array("eyw","FL, Key West"),
array("mlb","FL, Melbourne"),
array("mfl","FL, Miami"),
array("tae","FL, Tallahassee"),
array("tbw","FL, Tampa Bay Area"),
array("ffc","GA, Atlanta/Peachtree City"),
array("pq","GU, Tiyan"),
array("hnl","HI, Honolulu"),
array("boi","ID, Boise"),
array("pih","ID, Pocatello"),
array("ilx","IL, Lincoln"),
array("lot","IL, Chicago"),
array("ind","IN, Indianapolis"),
array("iwx","IN, Northern Indiana"),
array("dmx","IA, Des Moines"),
array("dvn","IA, Quad Cities/Davenport"),
array("ddc","KS, Dodge City"),
array("gld","KS, Goodland"),
array("top","KS, Topeka"),
array("ict","KS, Wichita"),
array("lmk","KY, Louisville"),
array("pah","KY, Paducah"),
array("lch","LA, Lake Charles"),
array("lix","LA, New Orleans"),
array("shv","LA, Shreveport"),
array("car","ME, Caribou"),
array("gyx","ME, Portland"),
array("box","MA, Boston/Taunton"),
array("dtx","MI, Detroit"),
array("apx","MI, Gaylord"),
array("grr","MI, Grand Rapids"),
array("mqt","MI, Marquette"),
array("dlh","MN, Duluth"),
array("mpx","MN, Twin Cities/Chanhassen"),
array("jan","MS, Jackson"),
array("eax","MO, Kansas City"),
array("sgf","MO, Springfield"),
array("lsx","MO, St. Louis"),
array("byz","MT, Billings"),
array("ggw","MT, Glasgow"),
array("tfx","MT, Great Falls"),
array("mso","MT, Missoula"),
array("gid","NE, Hastings"),
array("lbf","NE, North Platte"),
array("oax","NE, Omaha"),
array("lkn","NV, Elko"),
array("vef","NV, Las Vegas"),
array("rev","NV, Reno"),
array("abq","NM, Albuquerque"),
array("aly","NY, Albany"),
array("bgm","NY, Binghamton"),
array("buf","NY, Buffalo"),
array("okx","NY, New York City/Upton, NY"),
array("rah","NC, Raleigh/Durham"),
array("mhx","NC, Morehead City"),
array("ilm","NC, Wilmington"),
array("bis","ND, Bismarck"),
array("fgf","ND, Grand Forks"),
array("cle","OH, Cleveland"),
array("iln","OH, Wilmington/Dayton"),
array("oun","OK, Norman"),
array("tsa","OK, Tulsa"),
array("mfr","OR, Medford"),
array("pdt","OR, Pendleton"),
array("pqr","OR, Portland"),
array("phi","PA, Philadelphia/Mt. Holly, NJ"),
array("pbz","PA, Pittsburgh"),
array("ctp","PA, State College"),
array("sju","PR, San Juan"),
array("chs","SC, Charleston"),
array("cae","SC, Columbia"),
array("gsp","SC, Greenville/Spartanburg"),
array("abr","SD, Aberdeen"),
array("unr","SD, Rapid City"),
array("fsd","SD, Sioux falls"),
array("mrx","TN, Knoxville/Tri Cities"),
array("meg","TN, Memphis"),
array("ohx","TN, Nashville"),
array("ama","TX, Amarillo"),
array("bro","TX, Brownsville"),
array("crp","TX, Corpus Christi"),
array("fwd","TX, Dallas/Fort Worth"),
array("epz","TX, El Paso"),
array("hgx","TX, Houston/Galveston"),
array("lub","TX, Lubbock"),
array("sjt","TX, San Angelo"),
array("ewx","TX, San Antonio/Austin"),
array("slc","UT, Salt Lake City"),
array("btv","VT, Burlington"),
array("rnk","VA, Roanoke/Blacksburg"),
array("akq","VA, Wakefield"),
array("sew","WA, Seattle/Tacoma"),
array("otx","WA, Spokane"),
array("lwx","MD, Washington/Baltimore"),
array("rlx","WV, Charleston"),
array("grb","WI, Green Bay"),
array("arx","WI, La Crosse"),
array("mkx","WI, Milwaukee"),
array("cys","WY, Cheyenne"),
array("riw","WY, Riverton")
);
foreach ($locationArrays as $key => $val) {
	if ($val[0] === $wfo) {
		$wfoText = $locationArrays[$key][1];
		break;
	}
}
$matches = preg_split("/[,]+/",$wfoText);
$city = trim($matches[1]);
$state = $matches[0];

$wfoText = $city.', '.$state;
?>
<?php
$productArrays = array(
    array("AFD","Forecast Discussion"),
    array("AQA","Air Quality Alert"),
    array("FFS","Flash Flood Statement"),
    array("FLW","Flood Warning"),
    array("HWO","Hazardous Weather Outlook"),
    array("HYD","Daily Hydrometeorology"),
    array("LSR","Local Storm Report"),
    array("MAP","Mean Areal Precipitation"),
    array("NOW","Short Term Forecast"),
    array("NPW","Non-Precip. Wrn./Wtch./Adv."),
    array("PNS","Public Information Statement"),
    array("REC","Recreational Forecast"),
	array("RTP","Regional Max/Min Temp & Precip"),
    array("RWS","Regional Weather Summary"),
    array("WSW","Winter Storm Wrn./Wtch./Adv.")
		);
foreach ($productArrays as $key => $val) {
	if ($val[0] == $product) {
		$productText = $productArrays[$key][1];
		break;
	}
}
?>
<h2 align="center"><?php echo $productText?> for <?php echo $wfoText?></h2>
<h4 align="center">To Select Another NWS Office Click on Map or Choose from List</h4>
<table style="width:575px" align="center">
  <tr style="width:575px">
   <td align="center" style="background-color:#DDEFF4 ;padding: 10px 20px 10px 20px; border:thin solid black"><img src="<?php echo $mapPath ?>cwa2.png" alt="County Warning Area MAP" usemap="#cwamap" style="width:535px; height:410px"/>
   </td>
  </tr></table>
<table width="575px" align="center">
<tr><td align="center">

    <span style="color:#000000; font-size:14px; font-family:arial, times new roman;">
    <b>Select Forecast Office:</b> &nbsp;
    </span>
    <select style="border:1px solid #000000; background-color:#FFFFFF; font-size:13px;" id="wfo">
    <optgroup label=" - Alabama">
      <option value="bmx"<?php echo $wfo=="bmx"?' selected="selected"':''?>>Birmingham</option>
      <option value="hun"<?php echo $wfo=="hun"?' selected="selected"':''?>>Huntsville</option>
      <option value="mob"<?php echo $wfo=="mob"?' selected="selected"':''?>>Mobile</option>
    </optgroup>
    <optgroup label=" - Alaska">
      <option value="afc"<?php echo $wfo=="afc"?' selected="selected"':''?>>Anchorage</option>
      <option value="afg"<?php echo $wfo=="afg"?' selected="selected"':''?>>Fairbanks</option>
      <option value="ajk"<?php echo $wfo=="ajk"?' selected="selected"':''?>>Juneau</option>
    </optgroup>
    <optgroup label=" - Arizona">
      <option value="fgz"<?php echo $wfo=="fgz"?' selected="selected"':''?>>Flagstaff</option>
      <option value="psr"<?php echo $wfo=="psr"?' selected="selected"':''?>>Phoenix</option>
      <option value="twc"<?php echo $wfo=="twc"?' selected="selected"':''?>>Tucson</option>
    </optgroup>

    <optgroup label=" - Arkansas">
      <option value="lzk"<?php echo $wfo=="lzk"?' selected="selected"':''?>>Little Rock</option>
    </optgroup>
 
    <optgroup label=" - California">
      <option value="eka"<?php echo $wfo=="eka"?' selected="selected"':''?>>Eureka</option>
      <option value="hnx"<?php echo $wfo=="hnx"?' selected="selected"':''?>>Hanford/San Joaquin Vly.</option>
      <option value="lox"<?php echo $wfo=="lox"?' selected="selected"':''?>>Los Angeles</option>
      <option value="sto"<?php echo $wfo=="sto"?' selected="selected"':''?>>Sacramento</option>
      <option value="sgx"<?php echo $wfo=="sgx"?' selected="selected"':''?>>San Diego</option>
      <option value="mtr"<?php echo $wfo=="mtr"?' selected="selected"':''?>>San Francisco</option>
    </optgroup>

      <optgroup label=" - Colorado">
      <option value="bou"<?php echo $wfo=="bou"?' selected="selected"':''?>>Denver/Boulder</option>
      <option value="gjt"<?php echo $wfo=="gjt"?' selected="selected"':''?>>Grand Junction</option>
      <option value="pub"<?php echo $wfo=="pub"?' selected="selected"':''?>>Pueblo</option>
    </optgroup>
    <optgroup label=" - Florida">
      <option value="jax"<?php echo $wfo=="jax"?' selected="selected"':''?>>Jacksonville</option>
      <option value="eyw"<?php echo $wfo=="eyw"?' selected="selected"':''?>>Key West</option>
      <option value="mlb"<?php echo $wfo=="mlb"?' selected="selected"':''?>>Melbourne</option>
      <option value="mfl"<?php echo $wfo=="mfl"?' selected="selected"':''?>>Miami</option>
      <option value="tae"<?php echo $wfo=="tae"?' selected="selected"':''?>>Tallahassee</option>
      <option value="tbw"<?php echo $wfo=="tbw"?' selected="selected"':''?>>Tampa Bay Area</option>
    </optgroup>
    <optgroup label=" - Georgia">
      <option value="ffc"<?php echo $wfo=="ffc"?' selected="selected"':''?>>Atlanta/Peachtree City</option>
    </optgroup>
		<optgroup label=" - Guam">
 			<option value="pq"<?php echo $wfo=="pq"?' selected="selected"':''?>>Tiyan</option>
    </optgroup>

		<optgroup label=" - Hawaii">
 			<option value="hnl"<?php echo $wfo=="hnl"?' selected="selected"':''?>>Honolulu</option>
    </optgroup>
    <optgroup label=" - Idaho">
      <option value="boi"<?php echo $wfo=="boi"?' selected="selected"':''?>>Boise</option>
      <option value="pih"<?php echo $wfo=="pih"?' selected="selected"':''?>>Pocatello</option>
    </optgroup>

    <optgroup label=" - Illinois">
      <option value="ilx"<?php echo $wfo=="ilx"?' selected="selected"':''?>>Lincoln</option>
      <option value="lot"<?php echo $wfo=="lot"?' selected="selected"':''?>>Chicago</option>
    </optgroup>
    <optgroup label=" - Indiana">
      <option value="ind"<?php echo $wfo=="ind"?' selected="selected"':''?>>Indianapolis</option>
      <option value="iwx"<?php echo $wfo=="iwx"?' selected="selected"':''?>>Northern Indiana</option>
    </optgroup>
    <optgroup label=" - Iowa">
      <option value="dmx"<?php echo $wfo=="dmx"?' selected="selected"':''?>>Des Moines</option>
      <option value="dvn"<?php echo $wfo=="dvn"?' selected="selected"':''?>>Quad Cities</option>
    </optgroup>
    <optgroup label=" - Kansas">
      <option value="ddc"<?php echo $wfo=="ddc"?' selected="selected"':''?>>Dodge City</option>
      <option value="gld"<?php echo $wfo=="gld"?' selected="selected"':''?>>Goodland</option>
      <option value="top"<?php echo $wfo=="top"?' selected="selected"':''?>>Topeka</option>
      <option value="ict"<?php echo $wfo=="ict"?' selected="selected"':''?>>Wichita</option>
    </optgroup>
    <optgroup label=" - Kentucky">
      <option value="lmk"<?php echo $wfo=="lmk"?' selected="selected"':''?>>Louisville</option>
      <option value="pah"<?php echo $wfo=="pah"?' selected="selected"':''?>>Paducah</option>
    </optgroup>
    <optgroup label=" - Louisiana">
      <option value="lch"<?php echo $wfo=="lch"?' selected="selected"':''?>>Lake Charles</option>
      <option value="lix"<?php echo $wfo=="lix"?' selected="selected"':''?>>New Orleans</option>
      <option value="shv"<?php echo $wfo=="shv"?' selected="selected"':''?>>Shreveport</option>
    </optgroup>
    <optgroup label=" - Maine">
      <option value="car"<?php echo $wfo=="car"?' selected="selected"':''?>>Caribou</option>
      <option value="gyx"<?php echo $wfo=="gyx"?' selected="selected"':''?>>Portland</option>
    </optgroup>
    <optgroup label=" - Maryland">
      <option value="lwx"<?php echo $wfo=="lwx"?' selected="selected"':''?>>Baltimore/Washington DC</option>
    </optgroup>
    <optgroup label=" - Massachusetts">
      <option value="box"<?php echo $wfo=="box"?' selected="selected"':''?>>Boston</option>
    </optgroup>
    <optgroup label=" - Michigan">
      <option value="dtx"<?php echo $wfo=="dtx"?' selected="selected"':''?>>Detroit</option>
      <option value="apx"<?php echo $wfo=="apx"?' selected="selected"':''?>>Gaylord</option>
      <option value="grr"<?php echo $wfo=="grr"?' selected="selected"':''?>>Grand Rapids</option>
      <option value="mqt"<?php echo $wfo=="mqt"?' selected="selected"':''?>>Marquette</option>
    </optgroup>
    <optgroup label=" - Minnesota">
      <option value="dlh"<?php echo $wfo=="dlh"?' selected="selected"':''?>>Duluth</option>
      <option value="mpx"<?php echo $wfo=="mpx"?' selected="selected"':''?>>Minneapolis</option>
    </optgroup>
    <optgroup label=" - Mississippi">
      <option value="jan"<?php echo $wfo=="jan"?' selected="selected"':''?>>Jackson</option>
    </optgroup>
    <optgroup label=" - Missouri">
      <option value="eax"<?php echo $wfo=="eax"?' selected="selected"':''?>>Kansas City</option>
      <option value="sgf"<?php echo $wfo=="sgf"?' selected="selected"':''?>>Springfield</option>
      <option value="lsx"<?php echo $wfo=="lsx"?' selected="selected"':''?>>St. Louis</option>
    </optgroup>
 
    <optgroup label=" - Montana">
      <option value="byz"<?php echo $wfo=="byz"?' selected="selected"':''?>>Billings</option>
      <option value="ggw"<?php echo $wfo=="ggw"?' selected="selected"':''?>>Glasgow</option>
      <option value="tfx"<?php echo $wfo=="tfx"?' selected="selected"':''?>>Great Falls</option>
      <option value="mso"<?php echo $wfo=="mso"?' selected="selected"':''?>>Missoula</option>
    </optgroup>

    <optgroup label=" - Nebraska">
      <option value="gid"<?php echo $wfo=="gid"?' selected="selected"':''?>>Hastings</option>
      <option value="lbf"<?php echo $wfo=="lbf"?' selected="selected"':''?>>North Platte</option>
      <option value="oax"<?php echo $wfo=="oax"?' selected="selected"':''?>>Omaha</option>
    </optgroup>
 
    <optgroup label=" - Nevada">
      <option value="lkn"<?php echo $wfo=="lkn"?' selected="selected"':''?>>Elko</option>
      <option value="vef"<?php echo $wfo=="vef"?' selected="selected"':''?>>Las Vegas</option>
      <option value="rev"<?php echo $wfo=="rev"?' selected="selected"':''?>>Reno</option>
    </optgroup>

    <optgroup label=" - New Jersey">
      <option value="phi"<?php echo $wfo=="phi"?' selected="selected"':''?>>Mt. Holly/Phyladelphia, PA</option>
    </optgroup>
 
    <optgroup label=" - New Mexico">
      <option value="abq"<?php echo $wfo=="abq"?' selected="selected"':''?>>Albuquerque</option>
    </optgroup>

    <optgroup label=" - New York">
      <option value="aly"<?php echo $wfo=="aly"?' selected="selected"':''?>>Albany</option>
      <option value="bgm"<?php echo $wfo=="bgm"?' selected="selected"':''?>>Binghamton</option>
      <option value="buf"<?php echo $wfo=="buf"?' selected="selected"':''?>>Buffalo</option>
      <option value="okx"<?php echo $wfo=="okx"?' selected="selected"':''?>>New York City/Upton</option>
    </optgroup>
    <optgroup label=" - North Carolina">
      <option value="mhx"<?php echo $wfo=="mhx"?' selected="selected"':''?>>Newport/Morehead City, NC</option>
      <option value="rah"<?php echo $wfo=="rah"?' selected="selected"':''?>>Raleigh/Durham</option>
      <option value="ilm"<?php echo $wfo=="ilm"?' selected="selected"':''?>>Wilmington</option>
    </optgroup>
    <optgroup label=" - North Dakota">
      <option value="bis"<?php echo $wfo=="bis"?' selected="selected"':''?>>Bismarck</option>
      <option value="fgf"<?php echo $wfo=="fgf"?' selected="selected"':''?>>Grand Forks</option>
    </optgroup>
    <optgroup label=" - Ohio">
      <option value="cle"<?php echo $wfo=="cle"?' selected="selected"':''?>>Cleveland</option>
      <option value="iln"<?php echo $wfo=="iln"?' selected="selected"':''?>>Wilmington/Dayton</option>
    </optgroup>
    <optgroup label=" - Oklahoma">
      <option value="oun"<?php echo $wfo=="oun"?' selected="selected"':''?>>Norman</option>
      <option value="tsa"<?php echo $wfo=="tsa"?' selected="selected"':''?>>Tulsa</option>
    </optgroup>
 
    <optgroup label=" - Oregon">
      <option value="mfr"<?php echo $wfo=="mfr"?' selected="selected"':''?>>Medford</option>
      <option value="pdt"<?php echo $wfo=="pdt"?' selected="selected"':''?>>Pendleton</option>
      <option value="pqr"<?php echo $wfo=="pqr"?' selected="selected"':''?>>Portland</option>
    </optgroup>

    <optgroup label=" - Pennsylvania">
      <option value="phi"<?php echo $wfo=="phi"?' selected="selected"':''?>>Philadelphia/Mt. Holly, NJ</option>
      <option value="pbz"<?php echo $wfo=="pbz"?' selected="selected"':''?>>Pittsburgh</option>
      <option value="ctp"<?php echo $wfo=="ctp"?' selected="selected"':''?>>State College</option>
    </optgroup>
    <optgroup label="Puerto Rico">
    	<option value="sju"<?php echo $wfo=="sju"?' selected="selected"':''?>>San Juan</option>
    </optgroup>
    <optgroup label=" - South Carolina">
      <option value="chs"<?php echo $wfo=="chs"?' selected="selected"':''?>>Charleston</option>
      <option value="cae"<?php echo $wfo=="cae"?' selected="selected"':''?>>Columbia</option>
      <option value="gsp"<?php echo $wfo=="gsp"?' selected="selected"':''?>>Greenville/Spartanburg</option>
    </optgroup>
    <optgroup label=" - South Dakota">
      <option value="abr"<?php echo $wfo=="abr"?' selected="selected"':''?>>Aberdeen</option>
      <option value="unr"<?php echo $wfo=="unr"?' selected="selected"':''?>>Rapid City</option>
      <option value="fsd"<?php echo $wfo=="fsd"?' selected="selected"':''?>>Sioux Falls</option>
    </optgroup>
    <optgroup label=" - Tennessee">
      <option value="mrx"<?php echo $wfo=="mrx"?' selected="selected"':''?>>Knoxville/Tri Cities</option>
      <option value="meg"<?php echo $wfo=="meg"?' selected="selected"':''?>>Memphis</option>
      <option value="ohx"<?php echo $wfo=="ohx"?' selected="selected"':''?>>Nashville</option>
    </optgroup>
    <optgroup label=" - Texas">
      <option value="ama"<?php echo $wfo=="ama"?' selected="selected"':''?>>Amarillo</option>
      <option value="ewx"<?php echo $wfo=="ewx"?' selected="selected"':''?>>Austin/San Antonio</option>
      <option value="bro"<?php echo $wfo=="bro"?' selected="selected"':''?>>Brownsville</option>
      <option value="crp"<?php echo $wfo=="crp"?' selected="selected"':''?>>Corpus Christi</option>
      <option value="fwd"<?php echo $wfo=="fwd"?' selected="selected"':''?>>Dallas/Fort Worth</option>
      <option value="epz"<?php echo $wfo=="epz"?' selected="selected"':''?>>El Paso</option>
      <option value="hgx"<?php echo $wfo=="hgx"?' selected="selected"':''?>>Houston/Galveston</option>
      <option value="lub"<?php echo $wfo=="lub"?' selected="selected"':''?>>Lubbock</option>
      <option value="sjt"<?php echo $wfo=="sjt"?' selected="selected"':''?>>San Angelo</option>
    </optgroup>
 
    <optgroup label=" - Utah">
      <option value="slc"<?php echo $wfo=="slc"?' selected="selected"':''?>>Salt Lake City</option>
    </optgroup>

    <optgroup label=" - Vermont">
      <option value="btv"<?php echo $wfo=="btv"?' selected="selected"':''?>>Burlington</option>
    </optgroup>
    <optgroup label=" - Virginia">
      <option value="rnk"<?php echo $wfo=="rnk"?' selected="selected"':''?>>Roanoke/Blacksburg</option>
      <option value="akq"<?php echo $wfo=="akq"?' selected="selected"':''?>>Wakefield</option>
    </optgroup>

    <optgroup label=" - Washington">
      <option value="sew"<?php echo $wfo=="sew"?' selected="selected"':''?>>Seattle/Tacoma</option>
      <option value="otx"<?php echo $wfo=="otx"?' selected="selected"':''?>>Spokane</option>
    </optgroup>

    <optgroup label=" - West Virginia">
      <option value="rlx"<?php echo $wfo=="rlx"?' selected="selected"':''?>>Charleston</option>
    </optgroup>
    <optgroup label=" - Wisconsin">
      <option value="grb"<?php echo $wfo=="grb"?' selected="selected"':''?>>Green Bay</option>
      <option value="arx"<?php echo $wfo=="arx"?' selected="selected"':''?>>La Crosse</option>
      <option value="mkx"<?php echo $wfo=="mkx"?' selected="selected"':''?>>Milwaukee</option>
    </optgroup>
    <optgroup label=" - Wyoming">
      <option value="cys"<?php echo $wfo=="cys"?' selected="selected"':''?>>Cheyenne</option>
      <option value="riw"<?php echo $wfo=="riw"?' selected="selected"':''?>>Riverton</option>
    </optgroup>
    </select>
  </td>
  <td align="left">
    <span style="color:#000000; font-size:14px; font-family:arial, times new roman;">
    <b>Select Product:</b> &nbsp;
    </span>
    <select style="border:1px solid #000000; background-color:#FFFFFF; font-size:13px;" id="product">
    <option value="AFD"<?php echo $product=="AFD"?' selected="selected"':''?>>Forecast Discussion</option>
    <option value="AQA"<?php echo $product=="AQA"?' selected="selected"':''?>>Air Quality Alert</option>
    <option value="HWO"<?php echo $product=="HWO"?' selected="selected"':''?>>Hazardous Weather Outlook</option>
    <option value="PNS"<?php echo $product=="PNS"?' selected="selected"':''?>>Public Information Statement</option>
    <option value="HYD"<?php echo $product=="HYD"?' selected="selected"':''?>>Daily Hydrometeorology</option>
    <option value="RWS"<?php echo $product=="RWS"?' selected="selected"':''?>>Regional Weather Summary</option>
    <option value="NOW"<?php echo $product=="NOW"?' selected="selected"':''?>>Short Term Forecast</option>
    <option value="NPW"<?php echo $product=="NPW"?' selected="selected"':''?>>Non-Precip. Wrn./Wtch./Adv.</option>
    <option value="FFS"<?php echo $product=="FFS"?' selected="selected"':''?>>Flash Flood Statement</option>
    <option value="FLW"<?php echo $product=="FLW"?' selected="selected"':''?>>Flood Warning</option>
    <option value="LSR"<?php echo $product=="LSR"?' selected="selected"':''?>>Local Storm Report</option>
    <option value="MAP"<?php echo $product=="MAP"?' selected="selected"':''?>>Mean Areal Precipitation</option>
    <option value="RTP"<?php echo $product=="RTP"?' selected="selected"':''?>>Regional Min/Max Temp &amp; Precip</option>
    <option value="REC"<?php echo $product=="REC"?' selected="selected"':''?>>Recreational Forecast</option>
    <option value="WSW"<?php echo $product=="WSW"?' selected="selected"':''?>>Winter Storm Wrn./Wtch./Adv.</option>
    <option value="CF6"<?php echo $product=="CF6"?' selected="selected"':''?>>WFO Monthly Report- Preliminary</option>

<!--
    <option value="CLA"<?php echo $product=="CLA"?' selected="selected"':''?>>Climatological Report-Annual</option>
    <option value="CLI"<?php echo $product=="CLI"?' selected="selected"':''?>>Climatological Report-Daily</option>
    <option value="CLM"<?php echo $product=="CLM"?' selected="selected"':''?>>Climatological Report-Monthly</option>
    <option value="CLS"<?php echo $product=="CLS"?' selected="selected"':''?>>Climatological Report-Seasonal</option>
-->
    </select>
  </td>
</tr></table>
<script type="text/javascript">
  jq("#wfo").change(function () {
    var wfo = jq(this).val();
		var divWidth = "<?php echo $divWidth?>";
		var product = "<?php echo $product?>";
		var leftMargin = "<?php echo $leftMargin?>";
		var mapPath = "<?php echo $mapPath?>";
    showProductjs(wfo,divWidth,product,leftMargin,mapPath);
  });
</script>
<script type="text/javascript">
  jq("#product").change(function () {
    var product = jq(this).val();
		var divWidth = "<?php echo $divWidth?>";
		var wfo = "<?php echo $wfo?>";
		var leftMargin = "<?php echo $leftMargin?>";
		var mapPath = "<?php echo $mapPath?>";
    showProductjs(wfo,divWidth,product,leftMargin,mapPath);
  });
</script>
<script type="text/javascript">
  jq("#cwamap").change(function () {
    var wfo = jq(this).val();
		var divWidth = "<?php echo $divWidth?>";
		var product = "<?php echo $product?>";
		var leftMargin = "<?php echo $leftMargin?>";
		var mapPath = "<?php echo $mapPath?>";
    showProductjs(wfo,divWidth,product,leftMargin,mapPath);
  });
</script>

<?php
// PHP script by Ken True, webmaster@saratoga-weather.org
// forecast-discussion.php  version 1.00 - 14-Dec-2007
//   Version 1.01 - 14-Dec-2007 - added safety features per MChallis at http://www.carmosaic.com/weather/
//   Version 1.02 - 31-Dec-2007 - changed fetchUrlWithoutHanging function to fetchUrlWithoutHangingFD
//   Version 1.03 - 10-Jan-2008 - added "Forecast Discussion unavailable" feature per MChallis
//   Version 1.04 - 31-Jul-2012 - changes to support NWS website redesign
//   Version 1.05 - 31-Mar-2015 - fixed for change to NWS website access
//   Version 1.06 - 27-Feb-2018 - use curl for https fetch
// 
    $Version = "forecast-discussion.php V1.06 27-Feb-2018";
//  error_reporting(E_ALL);  // uncomment to turn on full error reporting
// script available at http://saratoga-weather.org/scripts.php
//  
// you may copy/modify/use this script as you see fit,
// no warranty is expressed or implied.
//
// Customized for: NOAA forecast discussions
//   http://www.crh.noaa.gov/product.php?site=NWS&issuedby=MTR&product=AFD&format=CI&version=1&glossary=0
//
// To find your local NWS office code for $wfo, do this:
//   go to www.weather.gov
//   search for your city, state
//   look at the URL in the 'Forecast Discussion' link near the bottom of the page
//   use the 3-character abbreviation is in the &issuedby=XXX parameter on the 
//     Forecast Discussion link (XXX will be your local office)
//   put the XXX in the $wfo variable below
//
// output: creates XHTML 1.0-Strict HTML page (default)
// Options on URL:
//      inc=Y    -- returns only the body code for inclusion
//                         in other webpages.  Omit to return full HTML.
// example URL:
//  http://your.website/forecast-discussion.php?inc=Y
//  would return data without HTML header/footer 
//
// Usage:
//  you can use this webpage standalone (customize the HTML portion below)
//  or you can include it in an existing page:
//  no parms:  $doIncludeFD = true; include("forecast-discussion.php"); 
//  parms:    include("http://your.website/forecast-discussion.php?inc=Y");
//
//
// settings:  
//  change myNWS to abbreviation for your local NWS office
//    other settings are optional
// 
//  $wfo = 'MTR';   // San Francisco, NWS office
//  $wfo = 'PQR';   // Portland, OR
  $wfo = strtoupper($wfo);   // Uppercast needed)
//
  $cacheName = $productText."-".$wfo.".txt";  // used to store the file so we don't have to
//                          fetch it each time
  $refetchSeconds = 1800;     // refetch every nnnn seconds

  $cacheFileDir = './cache/WFO/';      // default cache file directory - for testing - only used if not part of a template

// end of settings

// Constants
// don't change $fileName or script may break ;-)
  $fileName = "https://forecast.weather.gov/product.php?site=NWS&issuedby=$wfo&product=$product&format=CI&version=1&glossary=0";
// end of constants

// ------ start of code -------
global $SITE;
if (isset($SITE['cacheFileDir']))   {$cacheFileDir = $SITE['cacheFileDir']; }

// Check parameters and force defaults/ranges
if(isset($_REQUEST['inc'])) {
  $includeMode = (strtolower($_REQUEST['inc']) == 'y')?true:false; // any nonblank is ok
}
if (isset($doIncludeFD) and $doIncludeFD ) {
  $includeMode = true;
}

if (!isset($includeMode)) {$includeMode = false;}

if (isset($_REQUEST['cache'])) {$refetchSeconds = 1; }

// ------------- code starts here -------------------
$Status = "<!-- $Version -->\n";

$cacheName = $cacheFileDir . $cacheName; 

// refresh cached copy of page if needed
// fetch/cache code by Tom at carterlake.org

if (file_exists($cacheName) and filemtime($cacheName) + $refetchSeconds > time()) {
      $Status .= "<!-- using Cached version of $cacheName -->\n";
      $html = implode('', file($cacheName));
    } else {
      print "<!-- loading $cacheName from $fileName -->\n";
      $html = FD_fetchUrlWithoutHanging($fileName);
      $fp = fopen($cacheName, "w");
	  if ($fp) {
        $write = fputs($fp, $html);
         fclose($fp);  
         $Status .=  "<!-- cache written to $cacheName. -->\n";
	  } else {
	     $Status .=  "<!-- unable to save cache to $cacheName. -->\n";
	  }
}
  // extract the forecast discussion
 preg_match('|<pre[^>]*>(.*)</pre>|Usi',$html,$matches);
 $discussion = isset($matches[1])?$matches[1]:''; // now have the forecast as a string with \n delimiters

 if (strlen($discussion)) $discussion  = trim($matches[1]); // prevent extra white space at beginning and end

 // uncomment next line if you like only lower case text, or it could be made an option
 // $discussion  = strtolower(trim($matches[1]));
  print $Status;
  if ($discussion  == '') {
           $discussion  = 'NWS '.$productText.' for '.$wfoText.' currently not available.';
  } ?>
  <div style="margin-left:<?php echo $leftMargin?>px !important; text-align:left">
	<table width="<?php echo $divWidth?>" align="center">
  <tr><td>
	<?php
  print "<pre>\n";
  print htmlspecialchars(strip_tags($discussion));
	print "</pre>\n";  $niceFileName = preg_replace('!&!is','&amp;',$fileName);?>
  </td></tr></table>
  </div>
	<div align="center">
  <?php
  print "<p align=\"center\" style=\"fone-size:12px; line-height:140%\"> Previous ".$productText."s may be found at<br/><a href=\"$niceFileName\" target=\"_blank\" title=\"Off Site\">NWS $wfoText ($wfo) Office ".$productText."s</a>.<br/>
	<span style=\"font-size:10px; line-height:120%\">(Click 'Previous Version' there to view past versions successively.<br/>Some may differ only in time posted.)</span></p>\n"; ?>
	</div>
	<?php
// print footer of page if needed    
// --------------- customize HTML if you like -----------------------
if (! $includeMode ) {   
?>

</body>
</html>

<?php
}

// ----------------------------functions ----------------------------------- 
 
function FD_fetchUrlWithoutHanging($url) {
// get contents from one URL and return as string 
  global $Status, $needCookie;
  $useFopen = false;
  $overall_start = time();
  if (! $useFopen) {
   // Set maximum number of seconds (can have floating-point) to wait for feed before displaying page without feed
   $numberOfSeconds=6;   

// Thanks to Curly from ricksturf.com for the cURL fetch functions

  $data = '';
  $domain = parse_url($url,PHP_URL_HOST);
  $theURL = str_replace('nocache','?'.$overall_start,$url);        // add cache-buster to URL if needed
  $Status .= "<!-- curl fetching '$theURL' -->\n";
  $ch = curl_init();                                           // initialize a cURL session
  curl_setopt($ch, CURLOPT_URL, $theURL);                         // connect to provided URL
  curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);                 // don't verify peer certificate
  curl_setopt($ch, CURLOPT_USERAGENT, 
    'Mozilla/5.0 (forecast-discussion.php - saratoga-weather.org)');

  curl_setopt($ch,CURLOPT_HTTPHEADER,                          // request LD-JSON format
     array (
         "Accept: text/html,text/plain"
     ));

  curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $numberOfSeconds);  //  connection timeout
  curl_setopt($ch, CURLOPT_TIMEOUT, $numberOfSeconds);         //  data timeout
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);              // return the data transfer
  curl_setopt($ch, CURLOPT_NOBODY, false);                     // set nobody
  curl_setopt($ch, CURLOPT_HEADER, true);                      // include header information
//  curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);              // follow Location: redirect
//  curl_setopt($ch, CURLOPT_MAXREDIRS, 1);                      //   but only one time
  if (isset($needCookie[$domain])) {
    curl_setopt($ch, $needCookie[$domain]);                    // set the cookie for this request
    curl_setopt($ch, CURLOPT_COOKIESESSION, true);             // and ignore prior cookies
    $Status .=  "<!-- cookie used '" . $needCookie[$domain] . "' for GET to $domain -->\n";
  }

  $data = curl_exec($ch);                                      // execute session

  if(curl_error($ch) <> '') {                                  // IF there is an error
   $Status .= "<!-- curl Error: ". curl_error($ch) ." -->\n";        //  display error notice
  }
  $cinfo = curl_getinfo($ch);                                  // get info on curl exec.
/*
curl info sample
Array
(
[url] => http://saratoga-weather.net/clientraw.txt
[content_type] => text/plain
[http_code] => 200
[header_size] => 266
[request_size] => 141
[filetime] => -1
[ssl_verify_result] => 0
[redirect_count] => 0
  [total_time] => 0.125
  [namelookup_time] => 0.016
  [connect_time] => 0.063
[pretransfer_time] => 0.063
[size_upload] => 0
[size_download] => 758
[speed_download] => 6064
[speed_upload] => 0
[download_content_length] => 758
[upload_content_length] => -1
  [starttransfer_time] => 0.125
[redirect_time] => 0
[redirect_url] =>
[primary_ip] => 74.208.149.102
[certinfo] => Array
(
)

[primary_port] => 80
[local_ip] => 192.168.1.104
[local_port] => 54156
)
*/
  $Status .= "<!-- HTTP stats: " .
    " RC=".$cinfo['http_code'];
	if(isset($cinfo['primary_ip'])) {
		$Status .= " dest=".$cinfo['primary_ip'] ;
	}
	if(isset($cinfo['primary_port'])) { 
	  $Status .= " port=".$cinfo['primary_port'] ;
	}
	if(isset($cinfo['local_ip'])) {
	  $Status .= " (from sce=" . $cinfo['local_ip'] . ")";
	}
	$Status .= 
	"\n      Times:" .
    " dns=".sprintf("%01.3f",round($cinfo['namelookup_time'],3)).
    " conn=".sprintf("%01.3f",round($cinfo['connect_time'],3)).
    " pxfer=".sprintf("%01.3f",round($cinfo['pretransfer_time'],3));
	if($cinfo['total_time'] - $cinfo['pretransfer_time'] > 0.0000) {
	  $Status .=
	  " get=". sprintf("%01.3f",round($cinfo['total_time'] - $cinfo['pretransfer_time'],3));
	}
    $Status .= " total=".sprintf("%01.3f",round($cinfo['total_time'],3)) .
    " secs -->\n";

  //$Status .= "<!-- curl info\n".print_r($cinfo,true)." -->\n";
  curl_close($ch);                                              // close the cURL session
  //$Status .= "<!-- raw data\n".$data."\n -->\n"; 
  $i = strpos($data,"\r\n\r\n");
  $headers = substr($data,0,$i);
  $content = substr($data,$i+4);
  if($cinfo['http_code'] <> '200') {
    $Status .= "<!-- headers returned:\n".$headers."\n -->\n"; 
  }
  return $data;                                                 // return headers+contents

 } else {
//   print "<!-- using file_get_contents function -->\n";
   $STRopts = array(
	  'http'=>array(
	  'method'=>"GET",
	  'protocol_version' => 1.1,
	  'header'=>"Cache-Control: no-cache, must-revalidate\r\n" .
				"Cache-control: max-age=0\r\n" .
				"Connection: close\r\n" .
				"User-agent: Mozilla/5.0 (forecast-discussion.php - saratoga-weather.org)\r\n" .
				"Accept: text/html,text/plain\r\n"
	  ),
	  'https'=>array(
	  'method'=>"GET",
	  'protocol_version' => 1.1,
	  'header'=>"Cache-Control: no-cache, must-revalidate\r\n" .
				"Cache-control: max-age=0\r\n" .
				"Connection: close\r\n" .
				"User-agent: Mozilla/5.0 (forecast-discussion.php - saratoga-weather.org)\r\n" .
				"Accept: text/html,text/plain\r\n"
	  )
	);
	
   $STRcontext = stream_context_create($STRopts);

   $T_start = FD_fetch_microtime();
   $xml = file_get_contents($url,false,$STRcontext);
   $T_close = FD_fetch_microtime();
   $headerarray = get_headers($url,0);
   $theaders = join("\r\n",$headerarray);
   $xml = $theaders . "\r\n\r\n" . $xml;

   $ms_total = sprintf("%01.3f",round($T_close - $T_start,3)); 
   $Status .= "<!-- file_get_contents() stats: total=$ms_total secs -->\n";
   $Status .= "<-- get_headers returns\n".$theaders."\n -->\n";
//   print " file() stats: total=$ms_total secs.\n";
   $overall_end = time();
   $overall_elapsed =   $overall_end - $overall_start;
   $Status .= "<!-- fetch function elapsed= $overall_elapsed secs. -->\n"; 
//   print "fetch function elapsed= $overall_elapsed secs.\n"; 
   return($xml);
 }

}    // end FD_fetchUrlWithoutHanging
// ------------------------------------------------------------------

function FD_fetch_microtime()
{
   list($usec, $sec) = explode(" ", microtime());
   return ((float)$usec + (float)$sec);
}
   
// ----------------------------------------------------------
   
// --------------end of functions ---------------------------------------

?>
<!-- Map coordinates -->
<div>
 <map name="cwamap" id="cwamap">
  <area shape="poly" coords="487,381,473,381,471,389,483,390,488,386" href="javascript:showProductjs('sju',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="San Juan, PR" alt="San Juan, PR" /><area shape="poly" coords="131,385,124,381,122,375,117,372,111,370,107,368,105,365,83,359,84,364,107,372,120,391,122,386,121,383" href="javascript:showProductjs('hnl',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Honolulu, HI" alt="Honolulu, HI" />
  <area shape="poly" coords="305,322,300,323,298,325,294,325,288,326,287,332,287,336,289,340,290,344,295,342,302,342,307,344,316,347,322,345,326,342,319,337,317,334,316,327,318,325,314,322,309,321,305,322" href="javascript:showProductjs('lch',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Lake Charles, LA" alt="Lake Charles, LA" />
  <area shape="poly" coords="205,233,197,233,197,224,185,223,184,228,179,228,179,226,177,225,176,219,172,223,174,225,174,231,167,231,167,236,165,242,169,244,171,249,215,254,215,238,215,233,205,233" href="javascript:showProductjs('pub',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Pueblo, CO" alt="Pueblo, CO" />
  <area shape="poly" coords="256,374,260,367,267,361,262,352,257,354,253,358,249,355,246,358,243,356,236,357,234,358,234,361,227,361,233,370,234,373,240,374,242,372,246,374,256,374" href="javascript:showProductjs('crp',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Corpus Christi, TX" alt="Corpus Christi, TX" />
  <area shape="poly" coords="321,213,307,211,308,221,304,227,305,230,301,232,307,236,313,237,315,242,318,244,321,252,327,248,327,244,329,242,333,242,333,238,337,237,339,234,343,233,342,229,340,228,340,225,334,224,333,220,324,220,324,215,321,213" href="javascript:showProductjs('lsx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="St. Louis, MO" alt="St. Louis, MO" />
  <area shape="poly" coords="62,166,55,164,52,170,53,175,42,172,40,176,40,180,44,187,42,191,46,204,50,209,50,214,52,218,54,223,64,226,60,219,68,214,65,207,68,206,75,199,74,193,78,188,74,183,59,179,62,166" href="javascript:showProductjs('rev',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Reno, NV" alt="Reno, NV" />
  <area shape="poly" coords="445,268,447,265,446,261,450,260,448,256,455,250,455,247,450,244,439,244,435,245,435,249,424,249,421,251,423,253,422,255,426,258,422,263,424,263,424,266,429,267,431,266,433,268,438,264,440,266,442,266,442,264,445,268" href="javascript:showProductjs('rah',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Raleigh, NC" alt="Raleigh, NC" />
  <area shape="poly" coords="467,243,464,247,456,250,454,248,454,250,448,255,450,259,446,260,447,264,451,265,452,268,458,265,463,265,472,256,472,250,470,247,467,243" href="javascript:showProductjs('mhx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title=" Newport/Morehead City, NC" alt=" Newport/Morehead City, NC" />
  <area shape="poly" coords="234,228,234,232,223,232,223,237,213,237,214,253,250,255,249,239,243,239,243,228,234,228" href="javascript:showProductjs('ddc',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Dodge City, KS" alt="Dodge City, KS" />
  <area shape="poly" coords="267,359,278,353,283,349,290,345,287,338,288,329,282,322,276,321,276,325,273,326,268,330,263,333,266,336,266,339,263,344,266,348,263,351,267,359" href="javascript:showProductjs('hgx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Houston/Galveston, TX" alt="Houston/Galveston, TX" />
  <area shape="poly" coords="42,253,59,257,62,246,58,243,57,232,54,224,50,213,45,213,44,217,41,216,29,221,30,226,34,230,33,234,35,237,36,242,42,253" href="javascript:showProductjs('hnx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="San Joaquin Valley/Hanford, CA" alt="San Joaquin Valley/Hanford, CA" />
  <area shape="poly" coords="372,224,370,226,364,228,360,228,360,230,357,231,357,234,360,235,358,238,360,240,357,243,359,247,357,250,358,254,377,253,378,248,383,242,386,241,388,237,386,234,387,233,387,230,383,228,380,232,376,229,374,228,374,225,372,224" href="javascript:showProductjs('lmk',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Louisville, KY" alt="Louisville, KY" />
  <area shape="poly" coords="247,328,251,328,253,330,257,332,259,335,266,332,271,327,274,327,275,323,280,323,277,319,277,311,275,306,279,306,281,294,276,293,274,294,269,296,262,293,262,295,254,292,252,295,252,298,242,298,241,303,239,312,243,317,240,322,243,323,247,328" href="javascript:showProductjs('fwd',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Fort Worth, TX" alt="Fort Worth, TX" />
  <area shape="poly" coords="428,218,426,215,431,209,426,208,426,205,432,198,431,189,429,187,428,184,422,184,419,186,413,187,415,194,410,195,409,198,404,199,404,201,399,202,398,207,400,210,404,210,413,212,421,213,423,217,428,218" href="javascript:showProductjs('pbz',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Pittsburgh, PA" alt="Pittsburgh, PA" />
  <area shape="poly" coords="212,334,212,339,218,345,223,352,226,360,234,360,235,356,245,357,248,355,252,357,254,354,265,349,262,345,265,339,262,334,260,335,259,332,255,331,252,328,247,328,242,328,242,334,238,332,237,335,212,334" href="javascript:showProductjs('ewx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Austin/San Antonio, TX" alt="Austin/San Antonio, TX" />
  <area shape="poly" coords="51,212,51,208,47,202,44,189,45,186,41,178,42,171,32,169,24,179,24,187,22,188,22,196,24,199,26,198,28,203,24,207,32,209,30,220,43,215,47,216,47,213,51,212" href="javascript:showProductjs('sto',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Sacramento, CA" alt="Sacramento, CA" />
  <area shape="poly" coords="325,288,323,290,323,293,321,295,319,295,319,297,315,296,313,299,314,307,313,310,315,313,313,321,317,324,320,321,333,322,337,326,343,327,343,321,346,318,346,316,351,312,352,292,350,293,347,291,342,292,336,289,331,292,327,286,327,288,325,288" href="javascript:showProductjs('jan',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Jackson, MS" alt="Jackson, MS" />
  <area shape="poly" coords="66,269,71,273,67,286,81,290,95,299,95,293,105,294,109,292,112,294,121,288,123,291,126,287,134,287,126,281,122,283,117,278,111,276,109,279,98,274,99,271,95,272,91,269,88,272,77,270,66,269" href="javascript:showProductjs('psr',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Phoenix, AZ" alt="Phoenix, AZ" />
  <area shape="poly" coords="360,184,354,192,355,202,352,203,353,207,357,206,357,204,360,205,364,206,365,208,375,208,375,203,383,203,385,190,378,191,378,187,361,187,360,184" href="javascript:showProductjs('iwx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Northern Indiana, IN" alt="Northern Indiana, IN" />
  <area shape="poly" coords="103,251,99,275,109,279,111,277,118,279,123,284,127,282,133,287,141,284,147,246,113,240,111,248,103,251" href="javascript:showProductjs('fgz',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Flagstaff, AZ" alt="Flagstaff, AZ" />
  <area shape="poly" coords="388,337,397,330,403,332,409,341,412,335,412,332,408,330,408,323,409,316,408,312,410,309,387,308,384,312,376,312,377,319,375,320,374,327,378,329,383,330,385,335,388,337" href="javascript:showProductjs('tae',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Tallahassee, FL" alt="Tallahassee, FL" />
  <area shape="poly" coords="280,240,281,252,285,253,285,258,317,261,319,259,318,254,322,252,317,245,315,244,314,238,308,237,303,235,302,232,296,235,296,237,290,240,280,240" href="javascript:showProductjs('sgf',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Springfield, MO" alt="Springfield, MO" />
  <area shape="poly" coords="142,145,134,186,143,189,143,196,162,198,163,191,168,190,169,182,182,182,186,156,175,155,169,148,142,145" href="javascript:showProductjs('riw',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Riverton, WY" alt="Riverton, WY" />
  <area shape="poly" coords="420,225,417,228,416,233,411,239,406,241,408,242,411,246,409,249,407,252,422,253,422,250,435,250,435,245,439,245,442,242,441,237,438,236,443,232,440,227,439,230,437,232,431,226,428,226,427,224,425,227,423,229,420,225" href="javascript:showProductjs('rnk',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Blacksburg, VA" alt="Blacksburg, VA" />
  <area shape="poly" coords="251,180,259,180,261,182,262,189,278,190,276,185,281,184,283,167,281,164,275,164,277,161,276,159,259,160,247,156,247,161,243,163,244,166,241,166,242,171,239,171,238,178,248,178,251,180" href="javascript:showProductjs('fsd',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Sioux Falls, SD" alt="Sioux Falls, SD" />
  <area shape="poly" coords="139,292,136,314,145,315,145,311,163,313,178,328,180,312,183,310,182,306,177,304,178,296,167,293,150,290,150,293,139,292" href="javascript:showProductjs('epz',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="El Paso Area, NM" alt="El Paso Area, NM" />
  <area shape="poly" coords="414,281,408,280,407,283,409,286,407,287,412,290,412,296,414,294,418,294,419,291,423,291,428,289,432,289,433,286,436,282,434,278,431,276,436,270,425,269,424,273,419,273,419,275,416,275,414,277,414,281" href="javascript:showProductjs('cae',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Columbia, SC" alt="Columbia, SC" />
  <area shape="poly" coords="454,277,454,274,458,269,457,266,452,265,450,269,448,264,445,267,443,264,439,269,437,266,434,267,435,270,431,274,434,277,435,281,433,284,437,286,441,287,442,283,446,279,454,277" href="javascript:showProductjs('ilm',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Wilmington, NC" alt="Wilmington, NC" />
  <area shape="poly" coords="411,253,407,255,407,257,403,256,396,262,393,263,391,266,396,268,395,275,399,279,404,282,407,282,407,280,413,281,414,276,416,274,418,275,418,273,424,273,424,269,429,268,427,264,431,261,426,258,427,256,426,254,416,254,411,253" href="javascript:showProductjs('gsp',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Greenville-Spartanburg, SC" alt="Greenville-Spartanburg, SC" />
  <area shape="poly" coords="12,175,16,182,15,194,22,196,23,188,25,187,25,179,35,169,32,167,28,170,23,164,25,157,19,155,19,162,17,166,17,169,12,175" href="javascript:showProductjs('eka',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Eureka, CA" alt="Eureka, CA" />
  <area shape="poly" coords="182,299,182,308,179,311,177,330,181,339,193,349,200,342,210,341,213,332,206,325,217,326,216,313,224,313,225,303,201,302,201,294,195,294,193,296,193,301,182,299" href="javascript:showProductjs('maf',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Midland/Odessa, TX" alt="Midland/Odessa, TX" />
  <area shape="poly" coords="93,299,114,312,135,314,140,282,130,288,125,287,121,293,119,289,110,294,108,292,104,295,93,293,93,299" href="javascript:showProductjs('twc',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Tucson, AZ" alt="Tucson, AZ" />
  <area shape="poly" coords="209,209,209,219,204,219,203,231,214,232,214,237,224,237,224,233,234,232,234,228,239,228,240,217,234,217,233,214,216,209,209,209" href="javascript:showProductjs('gld',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Goodland, KS" alt="Goodland, KS" />
  <area shape="poly" coords="364,288,369,282,371,285,379,280,379,277,377,274,375,274,375,270,367,268,364,270,364,274,353,273,352,281,362,282,364,288" href="javascript:showProductjs('hun',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Huntsville, AL" alt="Huntsville, AL" />
  <area shape="poly" coords="205,251,202,278,232,280,234,253,205,251" href="javascript:showProductjs('ama',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Amarillo, TX" alt="Amarillo, TX" />
  <area shape="poly" coords="234,253,232,297,248,298,252,297,252,293,255,291,262,294,263,292,268,295,274,293,273,289,276,285,272,282,274,277,268,274,268,265,264,262,264,259,268,254,234,253" href="javascript:showProductjs('oun',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Norman, OK" alt="Norman, OK" />
  <area shape="poly" coords="234,281,204,278,201,301,234,302,234,281" href="javascript:showProductjs('lub',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Lubbock, TX" alt="Lubbock, TX" />
  <area shape="poly" coords="334,110,328,115,337,119,329,127,319,132,329,138,337,140,342,143,341,147,344,149,348,143,353,142,360,139,360,135,364,135,364,129,357,130,353,133,346,133,342,127,338,128,336,125,343,120,339,119,333,115,338,111,334,110" href="javascript:showProductjs('mqt',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Marquette, MI" alt="Marquette, MI" />
  <area shape="poly" coords="319,260,299,260,299,263,297,268,295,268,295,272,287,278,287,283,286,286,288,288,292,285,293,288,295,290,298,290,300,292,300,298,311,299,313,297,316,299,322,293,323,270,324,268,318,266,320,265,319,260" href="javascript:showProductjs('lzk',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Little Rock, AR" alt="Little Rock, AR" />
  <area shape="poly" coords="43,140,60,145,63,141,79,143,76,139,79,133,94,134,98,127,96,122,89,119,88,113,84,109,70,107,70,101,61,93,58,94,59,99,57,101,55,108,52,112,54,116,53,119,50,121,48,127,46,133,47,135,43,140" href="javascript:showProductjs('pdt',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Pendleton, OR" alt="Pendleton, OR" />
  <area shape="poly" coords="105,83,105,92,104,98,106,99,106,106,111,112,100,110,96,115,100,120,92,122,94,126,91,131,108,135,107,141,111,143,112,140,121,150,124,151,125,148,122,145,122,142,119,141,117,130,120,127,125,130,128,133,130,132,130,125,134,122,130,117,131,114,129,113,128,108,132,101,123,88,105,83" href="javascript:showProductjs('mso',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Missoula, MT" alt="Missoula, MT" />
  <area shape="poly" coords="463,180,466,176,462,172,466,170,465,166,462,166,462,162,459,161,457,161,456,153,451,155,451,158,445,158,445,161,441,161,440,165,435,167,435,175,442,173,443,178,450,179,448,182,448,184,453,187,457,181,459,181,461,184,463,180" href="javascript:showProductjs('bgm',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Binghamton, NY" alt="Binghamton, NY" />
  <area shape="poly" coords="494,172,509,172,505,163,503,167,500,162,496,160,500,157,497,154,493,156,491,152,483,152,481,157,477,158,479,172,491,170,493,173" href="javascript:showProductjs('box',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Boston, MA" alt="Boston, MA" />
  <area shape="poly" coords="352,146,347,150,341,157,345,149,342,146,343,143,337,139,330,138,323,134,323,148,321,151,320,161,327,162,328,166,333,165,344,166,347,161,347,156,350,151,352,146" href="javascript:showProductjs('grb',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Green Bay, WI" alt="Green Bay, WI" />
  <area shape="poly" coords="204,130,198,128,192,130,187,125,169,124,156,123,153,124,150,121,147,124,147,129,142,129,140,136,137,140,138,145,164,147,170,153,181,155,183,150,200,152,204,130" href="javascript:showProductjs('byz',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Billings, MT" alt="Billings, MT" />
  <area shape="poly" coords="436,231,442,224,448,225,450,223,460,223,461,215,462,208,464,206,460,203,432,206,429,212,430,215,427,224,430,225,436,231" href="javascript:showProductjs('lwx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Baltimore/Washington" alt="Baltimore/Washington" />
  <area shape="poly" coords="58,287,68,287,72,275,66,269,70,261,57,257,56,264,55,268,49,269,57,278,57,283,58,287" href="javascript:showProductjs('sgx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="San Diego, CA" alt="San Diego, CA" />
  <area shape="poly" coords="418,339,420,338,417,335,413,334,411,338,414,341,416,347,414,355,417,363,422,372,427,373,429,371,428,365,432,364,435,361,433,355,430,353,430,351,424,349,423,346,425,345,425,342,420,342,418,339" href="javascript:showProductjs('tbw',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Tampa Bay, FL" alt="Tampa Bay, FL" />
  <area shape="poly" coords="403,243,398,249,393,251,383,250,384,253,382,256,384,259,383,261,379,261,375,264,377,266,373,267,373,271,396,270,391,265,392,264,395,263,404,256,407,257,408,254,411,254,415,248,411,243,405,244,403,243" href="javascript:showProductjs('mrx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Morristown, TN" alt="Morristown, TN" />
  <area shape="poly" coords="266,158,273,158,274,160,272,163,278,163,280,165,280,173,296,173,297,164,301,163,306,159,316,159,316,150,319,150,319,147,297,144,297,138,290,136,288,139,281,135,279,135,279,139,273,139,272,143,268,143,268,147,269,151,266,150,266,158" href="javascript:showProductjs('mpx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Twin Cities, MN" alt="Twin Cities, MN" />
  <area shape="poly" coords="255,391,258,389,256,383,256,375,246,374,242,371,239,373,235,372,234,376,238,383,248,389,252,389,255,391" href="javascript:showProductjs('bro',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Brownsville, TX" alt="Brownsville, TX" />
  <area shape="poly" coords="40,100,33,98,31,112,24,134,29,135,32,137,35,142,41,143,47,136,47,133,49,123,54,119,53,114,56,108,39,104,40,100" href="javascript:showProductjs('pqr',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Portland, OR" alt="Portland, OR" />
  <area shape="poly" coords="281,209,304,210,308,205,304,200,305,190,309,188,308,181,299,181,299,173,283,173,282,183,277,183,278,188,274,189,273,192,279,193,280,197,279,199,279,202,281,202,281,209" href="javascript:showProductjs('dmx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Des Moines, IA" alt="Des Moines, IA" />
  <area shape="poly" coords="323,267,322,270,322,289,325,287,330,293,334,290,339,293,345,291,347,293,351,291,351,282,352,277,353,267,349,264,352,259,333,258,331,256,330,258,320,258,318,266,323,267" href="javascript:showProductjs('meg',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Memphis, TN" alt="Memphis, TN" />
  <area shape="poly" coords="108,177,136,181,142,150,138,146,137,148,125,149,124,152,121,151,120,148,116,146,113,142,111,143,108,143,108,141,103,142,103,146,104,149,104,152,107,154,107,160,105,163,111,168,110,171,107,172,108,177" href="javascript:showProductjs('pih',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Pocatello, ID" alt="Pocatello, ID" />
  <area shape="poly" coords="225,302,224,313,217,312,217,325,206,324,212,329,211,334,236,336,238,333,242,334,241,330,248,328,240,321,243,317,240,311,242,298,232,297,231,303,225,302" href="javascript:showProductjs('sjt',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="San Angelo, TX" alt="San Angelo, TX" />
  <area shape="poly" coords="425,337,426,339,430,338,426,328,424,321,426,314,414,305,408,309,406,313,408,317,409,320,407,325,407,330,410,332,410,336,415,337,416,340,414,341,417,343,423,343,423,338,425,337" href="javascript:showProductjs('jax',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Jacksonville, FL" alt="Jacksonville, FL" />
  <area shape="poly" coords="271,142,256,141,219,139,220,144,224,146,224,151,226,152,228,166,230,169,238,169,239,172,242,171,242,167,245,166,245,163,249,163,248,158,259,161,270,160,270,152,274,151,271,142" href="javascript:showProductjs('abr',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Aberdeen, SD" alt="Aberdeen, SD" />
  <area shape="poly" coords="306,186,304,199,307,200,306,206,304,206,305,211,320,213,320,210,324,210,323,200,329,198,336,201,336,194,330,194,330,190,334,183,324,182,317,179,315,181,307,180,309,185,306,186" href="javascript:showProductjs('dvn',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Quad Cities, IA/IL" alt="Quad Cities, IA/IL" />
  <area shape="poly" coords="424,312,429,303,436,296,444,288,436,284,434,285,433,288,428,287,428,290,421,290,420,293,416,293,415,294,416,296,414,299,414,304,424,312" href="javascript:showProductjs('chs',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Charleston, SC" alt="Charleston, SC" />
  <area shape="poly" coords="327,352,335,350,339,348,343,353,347,349,347,344,350,340,346,341,343,346,340,344,345,340,346,337,354,336,352,330,343,332,343,327,338,328,334,323,322,322,317,328,318,333,320,338,323,338,326,343,322,345,323,349,327,352" href="javascript:showProductjs('lix',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="New Orleans/Baton Rouge, LA" alt="New Orleans/Baton Rouge, LA" />
  <area shape="poly" coords="407,310,411,308,414,307,415,301,416,299,415,297,414,292,409,289,412,288,409,286,409,284,406,284,398,278,398,272,378,272,380,275,380,281,382,292,383,298,387,304,385,309,407,310" href="javascript:showProductjs('ffc',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Peachtree City, GA" alt="Peachtree City, GA" />
  <area shape="poly" coords="289,285,284,285,283,288,280,293,280,304,276,304,278,311,278,318,286,327,293,325,298,326,299,323,311,322,314,324,316,316,313,313,315,309,313,301,309,300,302,300,302,294,300,292,297,292,294,287,290,290,288,287,289,285" href="javascript:showProductjs('shv',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Shreveport, LA" alt="Shreveport, LA" />
  <area shape="poly" coords="357,161,355,163,357,165,355,168,358,175,359,183,357,186,358,187,378,187,379,179,376,177,377,171,373,169,373,160,357,161" href="javascript:showProductjs('grr',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Grand Rapids, MI" alt="Grand Rapids, MI" />
  <area shape="poly" coords="24,134,17,146,17,156,24,159,21,163,20,166,26,172,31,169,31,171,53,176,52,170,55,166,62,167,64,161,59,156,61,145,42,141,41,143,35,142,33,138,29,134,24,134" href="javascript:showProductjs('mfr',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Medford, OR" alt="Medford, OR" />
  <area shape="poly" coords="455,146,457,155,455,160,461,161,462,165,464,165,464,169,461,171,465,175,477,175,476,159,480,159,482,152,479,153,473,153,471,148,464,148,462,144,455,146" href="javascript:showProductjs('aly',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Albany, NY" alt="Albany, NY" />
  <area shape="poly" coords="248,238,249,253,281,255,282,242,273,242,270,240,269,236,261,235,261,232,254,230,255,224,249,227,243,227,243,238,248,238" href="javascript:showProductjs('ict',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Wichita, KS" alt="Wichita, KS" />
  <area shape="poly" coords="488,112,487,118,487,122,481,126,487,134,484,137,482,152,491,152,492,156,497,154,500,146,506,140,515,135,514,131,512,128,509,128,507,124,505,124,497,117,496,116" href="javascript:showProductjs('gyx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Gray/Portland, ME" alt="Gray/Portland, ME" />
  <area shape="poly" coords="65,74,66,80,62,81,62,85,59,86,60,91,57,92,65,99,67,99,67,106,81,109,82,111,85,112,86,119,91,121,101,119,97,114,99,109,110,111,106,105,103,95,106,82,65,74" href="javascript:showProductjs('otx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Spokane, WA" alt="Spokane, WA" />
  <area shape="poly" coords="79,133,76,136,75,140,77,144,62,142,59,146,57,157,62,159,61,167,109,176,109,173,113,170,106,164,109,159,108,155,105,152,103,145,105,142,108,141,111,136,93,132,92,134,79,133" href="javascript:showProductjs('boi',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Boise, ID" alt="Boise, ID" />
  <area shape="poly" coords="218,202,174,198,173,210,176,212,177,216,176,223,179,225,179,227,185,227,185,222,197,224,197,232,205,231,206,220,210,219,210,210,217,209,218,202" href="javascript:showProductjs('bou',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Denver/Boulder, CO" alt="Denver/Boulder, CO" />
  <area shape="poly" coords="123,89,127,95,131,102,129,106,128,114,131,115,129,118,134,123,130,126,131,132,129,134,125,130,122,130,121,128,117,130,118,137,119,143,122,144,123,149,136,148,137,147,141,150,140,141,145,136,145,130,150,129,151,125,154,123,157,126,159,125,167,125,165,120,172,116,165,110,169,108,174,96,146,92,123,89" href="javascript:showProductjs('tfx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Great Falls, MT" alt="Great Falls, MT" />
  <area shape="poly" coords="494,92,488,101,487,115,493,112,497,119,501,119,502,121,504,126,506,132,519,123,516,119,513,119,514,116,512,114,510,114,508,98,505,94,501,92,498,96,496,96,494,92" href="javascript:showProductjs('car',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Caribou, ME" alt="Caribou, ME" />
  <area shape="poly" coords="447,384,443,389,433,392,424,395,426,398,439,396,446,389,447,384" href="javascript:showProductjs('key',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Key West, FL" alt="Key West, FL" />
  <area shape="poly" coords="440,387,444,385,446,379,447,366,445,364,441,366,440,369,437,369,435,367,438,362,435,361,433,364,428,365,429,368,430,373,427,374,429,380,432,379,435,382,436,386,440,387" href="javascript:showProductjs('mfl',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Miami-South Florida, FL" alt="Miami-South Florida, FL" />
  <area shape="poly" coords="471,189,495,177,494,174,491,171,479,174,467,175,465,176,464,179,468,179,470,185,468,187,471,189" href="javascript:showProductjs('okx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="New York City/Upton, NY" alt="New York City/Upton, NY" />
  <area shape="poly" coords="446,364,442,357,440,347,433,337,428,337,427,339,427,342,425,343,424,348,430,351,432,355,434,356,434,360,436,363,440,363,441,366,446,364" href="javascript:showProductjs('mlb',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Melbourne, FL" alt="Melbourne, FL" />
  <area shape="poly" coords="236,226,245,227,251,225,253,222,254,216,258,215,260,200,258,200,256,198,253,198,252,193,243,195,243,203,233,203,232,205,234,206,234,209,234,211,231,211,231,215,237,215,236,226" href="javascript:showProductjs('gid',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Hastings, NE" alt="Hastings, NE" />
  <area shape="poly" coords="338,233,337,236,334,237,333,241,329,241,327,243,327,247,324,248,321,251,317,251,318,257,326,257,329,255,329,259,348,258,348,255,360,255,358,252,360,249,358,245,361,243,361,237,358,236,358,233,348,233,343,231,338,233" href="javascript:showProductjs('pah',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Paducah, KY" alt="Paducah, KY" />
  <area shape="poly" coords="207,102,170,98,167,111,162,112,168,118,162,122,164,126,188,129,193,133,197,132,204,133,207,102" href="javascript:showProductjs('ggw',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Glasgow, MT" alt="Glasgow, MT" />
  <area shape="poly" coords="204,99,200,140,255,143,254,138,256,135,252,135,251,129,249,125,252,123,244,121,243,119,240,118,239,114,244,109,242,105,244,102,204,99" href="javascript:showProductjs('bis',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Bismarck, ND" alt="Bismarck, ND" />
  <area shape="poly" coords="400,208,399,210,399,212,402,214,396,217,397,225,394,224,391,229,395,231,395,234,399,234,404,239,399,244,401,246,406,244,414,238,414,236,416,235,416,231,419,228,421,232,426,228,430,219,426,219,422,214,411,212,408,213,406,210,402,211,400,207" href="javascript:showProductjs('rlx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Charleston WV" alt="Charleston WV" />
  <area shape="poly" coords="251,199,255,197,256,201,259,201,258,217,278,218,274,212,282,210,283,205,280,204,282,198,279,194,276,195,276,190,264,190,263,186,261,181,251,181,251,199" href="javascript:showProductjs('oax',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Omaha/Valley, NE" alt="Omaha/Valley, NE" />
  <area shape="poly" coords="434,176,434,168,440,166,440,162,444,162,444,159,450,160,450,156,451,157,456,154,455,146,449,143,443,148,446,150,446,154,441,160,425,159,419,162,423,167,415,174,415,178,434,176" href="javascript:showProductjs('buf',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Buffalo, NY" alt="Buffalo, NY" />
  <area shape="poly" coords="387,230,386,234,388,236,386,240,383,241,379,246,377,252,391,254,395,251,406,240,402,235,396,235,396,232,393,229,389,227,387,230" href="javascript:showProductjs('jkl',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Jackson, KY" alt="Jackson, KY" />
  <area shape="poly" coords="275,209,278,216,278,220,276,221,275,224,279,223,279,228,281,233,279,236,279,241,289,241,294,238,295,236,303,234,305,231,304,229,308,222,307,214,305,210,275,209" href="javascript:showProductjs('eax',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Kansas City/Pleasant Hill, MO" alt="Kansas City/Pleasant Hill, MO" />
  <area shape="poly" coords="364,128,364,134,360,135,360,138,361,142,357,150,358,153,355,161,372,160,372,164,378,165,382,161,384,158,384,151,382,149,384,148,383,145,376,144,371,139,381,138,380,135,377,136,376,133,375,131,364,128" href="javascript:showProductjs('apx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Gaylord, MI" alt="Gaylord, MI" />
  <area shape="poly" coords="184,168,182,181,169,181,168,189,164,190,163,198,213,203,213,176,202,177,202,171,184,168" href="javascript:showProductjs('cys',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Cheyenne, WY" alt="Cheyenne, WY" />
  <area shape="poly" coords="280,100,279,105,241,102,240,105,242,107,240,110,237,113,237,117,241,118,242,121,249,122,248,125,249,135,253,135,252,143,267,143,268,147,272,147,273,143,279,143,279,140,281,138,286,125,285,109,283,109,283,104,282,100,280,100" href="javascript:showProductjs('fgf',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Grand Forks, ND" alt="Grand Forks, ND" />
  <area shape="poly" coords="389,160,387,159,384,161,382,166,379,165,380,161,377,162,373,162,373,168,375,168,376,176,378,178,379,184,376,186,376,191,384,189,387,182,394,177,392,162,389,160" href="javascript:showProductjs('dtx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Detroit/Pontiac, MI" alt="Detroit/Pontiac, MI" />
  <area shape="poly" coords="325,200,325,210,320,211,325,215,324,219,333,220,334,223,340,224,340,227,342,228,343,232,352,233,354,229,352,227,354,221,352,208,348,208,345,210,343,205,339,204,337,200,331,198,325,200" href="javascript:showProductjs('ilx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Central Illinois, IL" alt="Central Illinois, IL" />
  <area shape="poly" coords="487,129,458,132,449,142,456,145,463,144,465,148,472,148,474,153,482,152,484,141,488,136,487,129" href="javascript:showProductjs('btv',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Burlington, VT" alt="Burlington, VT" />
  <area shape="poly" coords="98,237,130,243,131,238,141,230,138,221,145,195,144,188,136,186,136,181,109,177,98,237" href="javascript:showProductjs('slc',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Salt Lake City, UT" alt="Salt Lake City, UT" />
  <area shape="poly" coords="254,229,260,231,260,235,269,237,270,240,274,242,282,242,281,238,284,235,281,230,281,226,277,226,277,224,281,221,281,218,256,217,254,229" href="javascript:showProductjs('top',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Topeka, KS" alt="Topeka, KS" />
  <area shape="poly" coords="362,274,362,270,365,269,373,270,376,269,377,266,378,264,383,264,385,262,382,259,384,256,383,253,361,254,350,252,350,258,348,262,351,263,351,273,362,274" href="javascript:showProductjs('ohx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Nashville, TN" alt="Nashville, TN" />
  <area shape="poly" coords="347,183,347,174,348,165,330,163,330,168,324,168,324,174,323,174,323,183,347,183" href="javascript:showProductjs('mkx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Milwaukee/Sullivan, WI" alt="Milwaukee/Sullivan, WI" />
  <area shape="poly" coords="146,244,140,290,151,292,150,289,177,294,177,303,182,304,182,298,193,299,194,294,201,293,206,251,146,244" href="javascript:showProductjs('abq',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Albuquerque, NM" alt="Albuquerque, NM" />
  <area shape="poly" coords="66,213,58,219,62,225,54,224,56,230,57,237,57,243,61,245,59,257,70,260,69,265,66,269,89,273,92,270,101,272,103,250,112,247,113,240,99,237,102,216,94,215,91,223,71,219,66,213" href="javascript:showProductjs('vef',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Las Vegas, NV" alt="Las Vegas, NV" />
  <area shape="poly" coords="467,234,474,217,467,216,467,214,462,214,461,219,460,222,451,222,448,224,443,223,441,227,444,230,439,235,442,236,442,240,440,243,447,243,451,244,454,246,456,250,461,249,468,243,467,238,467,237,463,237,461,233,463,232,462,225,460,223,462,223,462,219,465,224,467,234" href="javascript:showProductjs('akq',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Wakefield, VA" alt="Wakefield, VA" />
  <area shape="poly" coords="316,159,307,159,305,161,303,161,301,163,296,163,296,181,304,181,305,184,316,183,321,185,322,172,328,171,328,164,321,163,322,154,325,150,316,149,316,159" href="javascript:showProductjs('arx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="La Crosse, WI" alt="La Crosse, WI" />
  <area shape="poly" coords="350,307,354,306,354,311,357,310,359,307,363,309,372,310,373,314,381,314,385,310,386,305,383,299,379,280,371,285,369,283,364,288,362,285,362,282,352,281,350,307" href="javascript:showProductjs('bmx',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Birmingham, AL" alt="Birmingham, AL" />
  <area shape="poly" coords="49,269,56,266,58,263,58,257,42,253,35,239,25,237,27,244,29,247,28,253,29,261,35,272,46,279,48,274,49,269" href="javascript:showProductjs('lox',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Los Angeles/Oxnard, CA" alt="Los Angeles/Oxnard, CA" />
  <area shape="poly" coords="354,192,349,194,346,189,345,183,332,183,331,186,329,187,328,194,333,194,333,201,336,204,339,205,341,210,346,208,353,208,352,204,355,203,354,192" href="javascript:showProductjs('lot',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Chicago, IL" alt="Chicago, IL" />
  <area shape="poly" coords="32,76,31,81,33,89,33,98,38,99,38,104,54,108,56,104,58,99,57,95,62,95,63,92,61,89,64,88,64,84,67,83,69,81,67,77,48,72,46,77,50,83,46,83,32,76" href="javascript:showProductjs('sew',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Seattle, WA" alt="Seattle, WA" />
  <area shape="poly" coords="201,150,184,147,181,166,199,169,199,175,241,178,241,170,231,169,228,166,228,152,225,151,225,145,221,144,221,139,203,137,201,150" href="javascript:showProductjs('unr',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Rapid City, SD" alt="Rapid City, SD" />
  <area shape="poly" coords="359,204,357,206,354,207,349,207,351,221,349,225,351,229,349,232,358,232,359,230,364,228,371,225,371,215,376,211,376,208,366,208,364,205,359,204" href="javascript:showProductjs('ind',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Indianapolis, IN" alt="Indianapolis, IN" />
  <area shape="poly" coords="468,210,474,201,476,192,470,189,473,186,470,181,466,180,464,184,462,180,459,180,455,187,457,189,451,193,457,196,456,201,455,203,459,205,456,207,457,215,460,215,461,217,467,217,466,213,460,203,468,210" href="javascript:showProductjs('phi',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Philadelphia/Mount Holly, NJ" alt="Philadelphia/Mount Holly, PA" />
  <area shape="poly" coords="352,331,356,332,360,332,374,329,375,323,378,321,377,315,375,310,365,310,362,307,360,311,358,311,357,307,353,307,352,312,348,314,348,317,345,319,346,324,343,325,343,327,352,327,352,331" href="javascript:showProductjs('mob',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Mobile/Pensacola" alt="Mobile/Pensacola" />
  <area shape="poly" coords="456,206,458,203,458,199,452,195,458,192,456,189,452,187,453,183,446,180,446,176,421,179,420,183,427,184,427,186,430,188,430,197,426,204,425,208,456,206" href="javascript:showProductjs('ctp',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="State College, PA" alt="State College, PA" />
  <area shape="poly" coords="397,204,398,201,402,201,404,198,408,198,410,195,413,194,413,187,417,187,420,184,420,176,401,188,397,190,390,189,386,186,382,187,381,198,385,197,387,203,397,204" href="javascript:showProductjs('cle',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Cleveland, OH" alt="Cleveland, OH" />
  <area shape="poly" coords="61,167,59,180,74,185,77,189,74,194,74,201,68,207,65,207,67,215,72,220,93,225,95,216,103,218,111,178,61,167" href="javascript:showProductjs('lkn',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Elko, NV" alt="Elko, NV" />
  <area shape="poly" coords="391,230,393,225,397,225,396,218,401,215,398,211,400,208,400,206,391,205,388,199,384,199,384,202,376,201,376,209,372,211,371,214,370,224,372,224,373,227,375,228,377,231,382,227,385,230,387,228,391,230" href="javascript:showProductjs('iln',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Wilmington, OH" alt="Wilmington, OH" />
  <area shape="poly" coords="144,196,138,221,140,232,131,239,130,244,172,250,165,243,168,233,176,232,174,225,174,223,178,221,179,216,174,212,175,200,144,196" href="javascript:showProductjs('gjt',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Grand Junction, CO" alt="Grand Junction, CO" />
  <area shape="poly" coords="211,177,210,201,215,202,214,209,233,213,235,208,232,206,232,203,243,203,243,195,252,194,253,182,250,178,210,175" href="javascript:showProductjs('lbf',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="North Platte, NE" alt="North Platte, NE" />
  <area shape="poly" coords="272,292,276,291,278,292,282,288,282,285,287,285,287,280,295,274,296,271,300,267,300,262,287,260,287,255,266,254,265,257,263,257,263,261,265,264,267,264,267,273,269,273,269,275,272,275,270,280,274,283,272,288,272,292" href="javascript:showProductjs('tsa',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Tulsa, OK" alt="Tulsa, OK" />
  <area shape="poly" coords="25,237,37,239,33,233,35,230,30,224,30,219,30,209,24,206,27,202,24,198,20,196,11,195,13,209,19,218,23,221,21,224,21,229,25,237" href="javascript:showProductjs('mtr',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="San Francisco/Monterey Bay Area, CA" alt="San Francisco/Monterey Bay Area, CA" />
  <area shape="poly" coords="329,115,318,114,316,112,312,115,306,110,304,113,300,107,294,106,294,109,287,106,285,107,285,122,282,129,281,136,288,140,291,138,297,140,296,145,318,147,319,151,324,151,325,137,321,135,316,133,320,129,315,129,309,133,304,133,315,122,329,115" href="javascript:showProductjs('dlh',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Duluth, MN" alt="Duluth, MN" />
 <area shape="poly" coords="45,71,90,65,101,59,115,51,124,49,119,48,135,48,129,40,106,37,103,34,101,38,99,38,98,34,94,34,93,39,76,39,84,48,86,46,77,38,86,52,84,54,93,54,93,58" href="javascript:showProductjs('afc',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Anchorage, AK" alt="Anchorage, AK" />
  <area shape="poly" coords="110,37,112,37,116,39,129,42,136,47,136,16,135,17,130,16,128,15,118,14,111,13,104,11,99,10,91,10,78,14,90,18,75,23,85,28,73,38,87,39,103,35" href="javascript:showProductjs('afg',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Fairbanks, AK" alt="Fairbanks, AK" />
  <area shape="poly" coords="162,65,157,61,152,53,126,47,124,49,143,57,157,73,164,67" href="javascript:showProductjs('ajk',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Juneau, AK" alt="Juneau, AK" />
  <area shape="circle" coords="34,366,5" href="javascript:showProductjs('pq',<?php echo $divWidth?>,'<?php echo $product?>',<?php echo $leftMargin?>,'<?php echo $mapPath?>')" title="Tiyan, GU" alt="Tiyan, GU" />
 </map>
</div>
</div> <!-- End #showProduct -->
